<!DOCTYPE html>

<!--
 * BBrowser html shell.
 * (C) 2016 Lupshenko.
 * This code is licensed under the GPL3.
-->

<html>
	<head>
		<meta charset="utf-8">
		
		<link href="modules/normalize.css" rel="stylesheet">
		<link href="modules/material.css" rel="stylesheet">
		<link href="modules/app.css" rel="stylesheet">
		
		<script src="modules/base.js"></script>
		<script src="modules/settings.js"></script>
		<script src="modules/writer.js"></script>
		<script src="modules/plugins.js"></script>
	</head>
	
	<body
		onload="app.init()"
		onkeydown="app.shell.hotkeys.handle(event)"
		onkeyup="app.shell.hotkeys.detectUppedCtrl(event)"
		onwheel="app.webView.zoom(event.deltaY < 0, event)"
	>
		<!--Base-->
			<div id="webViewArea">
				<iframe
					id="curWebView"
					name="curWebView"
					onload="app.webView.updateInfo()"
					nwfaketop nwdisable nwUserAgent
				></iframe>
			</div>
			
			<nav class="navDrawer">
				<button
					class="button flat"
					onclick="app.webView.refresh(); app.shell.navDrawer.hide();"
					title="Refresh this page"
				><img src="images/refresh.png"></button>
				<button
					class="button flat"
					onclick="app.webView.goBack(); app.shell.navDrawer.hide();"
					title="Go back"
				><img src="images/back.png"></button>
				<button
					class="button flat"
					onclick="app.webView.goForward(); app.shell.navDrawer.hide();"
					title="Go forward"
				><img src="images/forward.png"></button>
				<button
					class="button flat"
					onclick="app.webView.goHome(); app.shell.navDrawer.hide();"
					title="Open the home page"
				><img src="images/home.png"></button>
				<button
					class="button flat"
					onclick="app.bookmarks.add(); app.shell.navDrawer.hide();"
					title="Bookmark this page"
				><img src="images/bookmark.png"></button>
				<button
					class="button flat"
					onclick="app.history.switchIncognitoMode(); app.shell.navDrawer.hide();"
					title="Switch incognito mode"
				><img src="images/incognito.png"></button>
				
				<span></span>
				
				<button
					class="button flat"
					onclick="app.shell.dialogs.show('Info'); app.shell.navDrawer.hide();"
					title="Show information dialog"
				><img src="images/Info.png"></button>
				<button
					class="button flat"
					onclick="app.shell.dialogs.show('Settings'); app.shell.navDrawer.hide();"
					title="Show settings dialog"
				><img src="images/Settings.png"></button>
				<button
					class="button flat"
					onclick="app.shell.dialogs.show('History'); app.shell.navDrawer.hide();"
					title="Show history dialog"
				><img src="images/History.png"></button>
				<button
					class="button flat"
					onclick="app.shell.dialogs.show('Bookmarks'); app.shell.navDrawer.hide();"
					title="Show bookmarks dialog"
				><img src="images/Bookmarks.png"></button>
				<button
					class="button flat"
					onclick="app.shell.dialogs.show('Plugins'); app.shell.navDrawer.hide();"
					title="Show plugins dialog"
				><img src="images/Plugins.png"></button>
			</nav>
			
			<header class="appBar">		
				<button
					class="button flat round specButton"
					onclick="app.shell.navDrawer.turn()"
					title="Show/Hide navigation bar"
				><img src="images/menu.png"></button>
				
				<form onsubmit="app.webView.go(); return false;">
					<input type="text" placeholder="Url or search request" id="urlBar">
				</form>
				
				<nav class="windowControl">
					<button
						class="button flat round"
						onclick="app.shell.window.minimize()"
						title="Minimize window"
					><img src="images/minimizeWindow.png"></button>
					<button
						class="button flat round"
						onclick="app.shell.window.changeState()"
						title="(Un)maximize window"
					><img src="images/(un)MaximizeWindow.png"></button>
					<button
						class="button flat round"
						onclick="app.shell.window.close()"
						title="Close window"
					><img src="images/closeWindow.png"></button>
				</nav>
			</header>
			
			<div id="uiMask"></div>
		
		<!--Tabs-->
			<div class="dialog" id="Info">
				<div class="head">
					<h1>Information</h1>
					
					<div class="controls">
						<button
							class="button flat"
							onclick="app.shell.dialogs.hide('Info')"
						>CLOSE</button>
					</div>
				</div>
				
				<div class="content">
					<img src="images/logo.png" id="logo"><br>
					
					BBrowser <script>document.write(nw.App.manifest.version)</script>.<br>
					(C) 2016 Lupshenko.<br>
					This browser is licensed under the GPL3.
					
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
					Don't scroll. There is no easter egg here.
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
					<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
				</div>
			</div>
			
			<div class="dialog" id="Settings">
				<div class="head">
					<h1>Settings</h1>
					
					<div class="controls">
						<button
							class="button flat"
							onclick="app.settings.update(); app.shell.dialogs.hide('Settings')"
						>CANCER</button>
						<button
							class="button flat"
							onclick="app.settings.apply(); app.shell.dialogs.hide('Settings');"
						>SAVE</button>
					</div>
				</div>
				
				<div class="content">
					<form
						name="settingsForm"
						onsubmit="app.settings.apply(); app.shell.dialogs.hide('Settings'); return false;"
					>
						<label>Home page: <input type="text" class="text" name="homePage"></label><br><br>
						<label>Search engine: <input type="text" class="text" name="search"></label><br><br>
					</form>
				</div>
			</div>
			
			<div class="dialog" id="History">
				<div class="head">
					<h1>History</h1>
					
					<div class="controls">
						<button
							class="button flat"
							onclick="app.history.clear()"
						>CLEAR</button>
						<button
							class="button flat"
							onclick="app.shell.dialogs.hide('History')"
						>CLOSE</button>
					</div>
				</div>
				
				<div class="content">
					
				</div>
			</div>
			
			<div class="dialog" id="Bookmarks">
				<div class="head">
					<h1>Bookmarks</h1>
					
					<div class="controls">
						<button
							class="button flat"
							onclick="app.bookmarks.addCustom()"
						>ADD</button>
						<button
							class="button flat"
							onclick="app.bookmarks.clear()"
						>CLEAR</button>
						<button
							class="button flat"
							onclick="app.shell.dialogs.hide('Bookmarks')"
						>CLOSE</button>
					</div>
				</div>
				
				<div class="content">
					
				</div>
			</div>
			
			<div class="dialog" id="Plugins">
				<div class="head">
					<h1>Plugins</h1>
					
					<div class="controls">
						<button
							class="button flat"
							onclick="app.shell.dialogs.hide('Plugins')"
						>CLOSE</button>
					</div>
				</div>
				
				<div class="content">
					
				</div>
			</div>
	</body>
</html>
